
Foreman - Task #16283

Tracker # 23446 (New): Change foreman to SPA (Single Page Application)

Move all vendored assets and asset gems to npm+webpack

08/25/2016 10:30 AM - Tomer Brisker

Status: New   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Pull request:  Found in Releases:  

Fixed in Releases:    

Description

Related issues:

Related to Foreman - Refactor #26654: move spice npm package and related js c... Closed

Blocked by Foreman - Refactor #16284: Move jquery-turbolinks from bundle to npm New 08/25/2016

Blocked by Foreman - Refactor #16285: Move jquery-ui from bundle to npm Rejected 08/25/2016

Blocked by Foreman - Refactor #16286: Move multiselect from bundle to npm Closed 08/25/2016

Blocked by Foreman - Refactor #16287: Move gridster from bundle to npm Closed

Blocked by Foreman - Refactor #16288: Move ace editor from bundle to npm Closed 08/25/2016

Blocked by Foreman - Refactor #16289: Move jquery_pwstrength_bootstrap_4 from... Resolved 08/25/2016

Blocked by Foreman - Refactor #16290: Move ipaddrjs from bundle to npm Closed 08/25/2016

Blocked by Foreman - Refactor #16291: move datatables from vendor to npm Closed 08/25/2016

Blocked by Foreman - Refactor #16292: move jnotify from vendor to npm Duplicate 08/25/2016

Blocked by Foreman - Refactor #16293: Move diffjs from vendor to npm Closed 08/25/2016

Blocked by Foreman - Refactor #16294: Move novnc from vendor to npm Closed

Blocked by Foreman - Refactor #19508: replace patternfly gem with npm package New 05/10/2017

Blocked by Foreman - Refactor #21640: Drop jQuery-ui Ready For Testing

History

#1 - 08/25/2016 10:31 AM - Tomer Brisker

- Blocked by Refactor #16284: Move jquery-turbolinks from bundle to npm added

#2 - 08/25/2016 10:32 AM - Tomer Brisker

- Blocked by Refactor #16285: Move jquery-ui from bundle to npm added

#3 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16286: Move multiselect from bundle to npm added

#4 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16287: Move gridster from bundle to npm added

#5 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16288: Move ace editor from bundle to npm added

#6 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16289: Move jquery_pwstrength_bootstrap_4 from bundle to npm added

#7 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16290: Move ipaddrjs from bundle to npm added
#8 - 08/25/2016 10:37 AM - Tomer Brisker

- Blocked by Refactor #16291: move datatables from vendor to npm added

#9 - 08/25/2016 10:38 AM - Tomer Brisker

- Blocked by Refactor #16292: move jnotify from vendor to npm added

#10 - 08/25/2016 10:39 AM - Tomer Brisker

- Blocked by Refactor #16293: Move diffjs from vendor to npm added

#11 - 08/25/2016 10:40 AM - Tomer Brisker

- Blocked by Refactor #16294: Move novnc from vendor to npm added

#12 - 05/10/2017 07:29 AM - Dominic Cleal

- Blocked by Refactor #19508: replace patternfly gem with npm package added

#13 - 11/13/2017 12:41 PM - Tomer Brisker

- Blocked by Refactor #21640: Drop jQuery-ui added

#14 - 04/30/2018 07:27 AM - Ohad Levy

- Parent task set to #23446

#15 - 04/21/2019 11:59 AM - Ohad Levy

- Related to Refactor #26654: move spice npm package and related js code to webpack added
